# Class TCefFrameHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFFrameHandler

## Declaration

`type TCefFrameHandlerOwn = class(TCefBaseRefCountedOwn, ICefFrameHandler)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefFrameHandlerOwn

## Overview

### Methods

| `procedure OnFrameCreated(const browser: ICefBrowser; const frame: ICefFrame); virtual;`
| `procedure OnFrameDestroyed(const browser: ICefBrowser; const frame: ICefFrame); virtual;`
| `procedure OnFrameAttached(const browser: ICefBrowser; const frame: ICefFrame; reattached: boolean); virtual;`
| `procedure OnFrameDetached(const browser: ICefBrowser; const frame: ICefFrame); virtual;`
| `procedure OnMainFrameChanged(const browser: ICefBrowser; const old_frame, new_frame: ICefFrame); virtual;`
| `procedure RemoveReferences; virtual;`
| `constructor Create; virtual;`

## Description

### Methods

| `procedure OnFrameCreated(const browser: ICefBrowser; const frame: ICefFrame); virtual;`

This item has no description. Showing description inherited from ICefFrameHandler.OnFrameCreated.

Called when a new frame is created. This will be the first notification that references |frame|. Any commands that require transport to the associated renderer process (LoadRequest, SendProcessMessage, GetSource, etc.) will be queued. The queued commands will be sent before OnFrameAttached or discarded before OnFrameDestroyed if the frame never attaches.

| `procedure OnFrameDestroyed(const browser: ICefBrowser; const frame: ICefFrame); virtual;`

This item has no description. Showing description inherited from ICefFrameHandler.OnFrameDestroyed.

Called when an existing frame is destroyed. This will be the last notification that references |frame| and cef_frame_t::is_valid() will return false (0) for |frame|. If called during browser destruction and after cef_life_span_handler_t::on_before_close() then cef_browser_t::is_valid() will return false (0) for |browser|. Any queued commands that have not been sent will be discarded before this callback.

| `procedure OnFrameAttached(const browser: ICefBrowser; const frame: ICefFrame; reattached: boolean); virtual;`

This item has no description. Showing description inherited from ICefFrameHandler.OnFrameAttached.

Called when a frame can begin routing commands to/from the associated renderer process. |reattached| will be true (1) if the frame was re- attached after exiting the BackForwardCache or after encountering a recoverable connection error. Any queued commands will now have been dispatched. This function will not be called for temporary frames created during cross-origin navigation.

| `procedure OnFrameDetached(const browser: ICefBrowser; const frame: ICefFrame); virtual;`

This item has no description. Showing description inherited from ICefFrameHandler.OnFrameDetached.

Called when a frame loses its connection to the renderer process. This may occur when a frame is destroyed, enters the BackForwardCache, or encounters a rare connection error. In the case of frame destruction this call will be followed by a (potentially async) call to OnFrameDestroyed. If frame destruction is occuring synchronously then cef_frame_t::is_valid() will return false (0) for |frame|. If called during browser destruction and after cef_life_span_handler_t::on_before_close() then cef_browser_t::is_valid() will return false (0) for |browser|. If, in the non-destruction case, the same frame later exits the BackForwardCache or recovers from a connection error then there will be a follow-up call to OnFrameAttached. This function will not be called for temporary frames created during cross- origin navigation.

| `procedure OnMainFrameChanged(const browser: ICefBrowser; const old_frame, new_frame: ICefFrame); virtual;`

This item has no description. Showing description inherited from ICefFrameHandler.OnMainFrameChanged.

Called when the main frame changes due to (a) initial browser creation, (b) final browser destruction, (c) cross-origin navigation or (d) re- navigation after renderer process termination (due to crashes, etc). |old_frame| will be NULL and |new_frame| will be non-NULL when a main frame is assigned to |browser| for the first time. |old_frame| will be non-NULL and |new_frame| will be NULL when a main frame is removed from |browser| for the last time. Both |old_frame| and |new_frame| will be non- NULL for cross-origin navigations or re-navigation after renderer process termination. This function will be called after on_frame_created() for |new_frame| and/or after on_frame_destroyed() for |old_frame|. If called during browser destruction and after cef_life_span_handler_t::on_before_close() then cef_browser_t::is_valid() will return false (0) for |browser|.

| `procedure RemoveReferences; virtual;`
This item has no description. Showing description inherited from ICefFrameHandler.RemoveReferences. Custom procedure to clear all references.

| `constructor Create; virtual;`
This item has no description.

Generated by PasDoc 0.17.0.snapshot.